Drop-in almashtirish
MosOpenAI va Anthropic SDK’lari bilan ishlaydi. Faqat asosiy URL’ni o‘zgartiring.
Barcha tillar teng. Istagan tilingizni tanlang.
Funksiya chaqirish, veb qidiruv va tuzilgan chiqishlar bilan OpenAI va Anthropic mos AI API.
Shannon’ning OpenAI va Anthropic mos API’si bilan ishga tushirish uchun kerak bo‘lgan hamma narsa.
https://api.shannon-ai.com/v1/chat/completions Chat Completions API’dan funksiya chaqirish va streaming bilan foydalaning.
https://api.shannon-ai.com/v1/messages Claude Messages formati, vositalar va anthropic-version sarlavhasi bilan.
Authorization: Bearer <api-key> Yoki Claude uslubidagi chaqiriqlar uchun X-API-Key va anthropic-version.
Ochiq hujjatlar - chaqirish uchun kalit kerak Streaming, funksiya chaqirish, tuzilgan chiqishlar, veb qidiruv.
OpenAI va Anthropic API’lari uchun drop-in almashtirish, vositalar, tuzilgan chiqishlar va o‘rnatilgan veb qidiruvni native qo‘llab-quvvatlaydi.
OpenAI va Anthropic SDK’lari bilan ishlaydi. Faqat asosiy URL’ni o‘zgartiring.
Vositalarni belgilang, Shannon ularni chaqirsin. auto, forced va none rejimlarini qo‘llab-quvvatlaydi.
Manbalar bilan real vaqt qidiruvi. Avtomatik mavjud.
JSON rejimi va JSON schema majburiyati ishonchli ma’lumot ajratish uchun.
Funksiya bajarishning avtomatik sikllari. Har so‘rov uchun 10 ta iteratsiyagacha.
Real vaqt token streaming uchun server-sent events.
Uch qadamda boshlang. Shannon OpenAI va Anthropic klientlarini aks ettiradi.
OpenAI mos endpoint’dan foydalaning.
https://api.shannon-ai.com/v1/chat/completions Authorization sarlavhasida Bearer auth’dan foydalaning.
Til tanlang va kalitingizni almashtiring.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Shannon API’ni bevosita brauzerda sinab ko‘ring. So‘rovni tuzing, ishga tushiring va javobni real vaqtida ko‘ring.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/uz/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
Barcha API so‘rovlari Shannon API kaliti bilan autentifikatsiya talab qiladi.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon turli foydalanish holatlari uchun optimallashtirilgan bir nechta modelni taklif qiladi.
shannon-1.6-lite Shannon 1.6 Lite Kundalik vazifalar uchun tez va samarali javoblar
shannon-1.6-pro Shannon 1.6 Pro Murakkab muammolar uchun ilg‘or mantiq
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Claude Code CLI uchun chaqiriq kvotasi bilan optimallashtirilgan
Shannon bajarishi yoki ma’lumot olish uchun chaqira oladigan vositalarni belgilang.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" Model funksiya chaqirishni o‘zi hal qiladi (standart) "none" Bu so‘rov uchun funksiya chaqirishni o‘chiradi {"type": "function", "function": {"name": "..."}} Muayyan funksiya chaqiruvini majburiy qiling {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Shannon’ni sizning sxemangizga mos valid JSON bilan javob berishga majburlang.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} Valid JSON chiqishini majburlash (maxsus sxemasiz) {"type": "json_schema", "json_schema": {...}} Aniq sxemangizga mos chiqishni majburlash Tezkor UI uchun Server-Sent Events bilan real vaqt token streamingni yoqing.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon avtomatik mavjud bo‘lgan web_search funksiyasini o‘z ichiga oladi.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon Anthropic Messages API formatini ham qo‘llab-quvvatlaydi.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); Har qanday OpenAI yoki Anthropic SDK’dan foydalaning — faqat asosiy URL’ni o‘zgartiring.
Rasmiy OpenAI Python SDK – Shannon bilan ishlaydi
pip install openai Rasmiy OpenAI Node.js SDK – Shannon bilan ishlaydi
npm install openai OpenAI mos API’lar uchun hamjamiyat Go mijoz
go get github.com/sashabaranov/go-openai OpenAI mos API’lar uchun hamjamiyat Ruby mijoz
gem install ruby-openai OpenAI mos API’lar uchun hamjamiyat PHP mijoz
composer require openai-php/client OpenAI mos API’lar uchun asinxron Rust mijoz
cargo add async-openai Rasmiy Anthropic Python SDK – Shannon bilan ishlaydi
pip install anthropic Rasmiy Anthropic TypeScript SDK – Shannon bilan ishlaydi
npm install @anthropic-ai/sdk Shannon standart HTTP status kodlaridan foydalanadi va batafsil xato xabarlarini qaytaradi.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API’dagi so‘nggi yangilanish va yaxshilanishlar.
YOUR_API_KEY API kalitingizni sir saqlang. Qayta yaratish yangi kalit yaratadi va eski kalitni bekor qiladi.
Hisobingizga kirganingizda token va qidiruv sarfini shu sahifada ko‘ring.
Shannon Coder (shannon-coder-1) uchun chaqiriq kvotasi. Har 4 soatda yangilanadi.
API kalitingizni oling va Shannon AI bilan bugunoq boshlang.
Ommabop qidiruvlar: